const requestUrl = {
    auth: { // 用户
        login: '/api/auth/sign-in', // 登录 POST
        logout: '/api/auth/sign-out', // 登出 POST
        register: '/api/auth/sign-up', // 注册 POST
        logged:'/api/sso/auth/logged', //检查是否登录当前系统  若没有 http状态码为 403
        ssoLogin:'/api/sso/auth', // SSO 登录GET/POST
        ssoLogout: '/api/sso/auth/sign-out', // SSO 登出接口
    },
    bot: { // 用户
        createBot: '/api/bot', // 创建机器人 POST
        getBotInfo: '/api/bot', // 获取机器人详情 GET
        getBotList: '/api/bot/list', // 获取机器人列表 GET
        deleteBot: '/api/bot', // 删除机器人 DELETE
        updateBot: '/api/bot', // 更新机器人 PUT
        createRefBot: '/api/bot/template/create', //根据模板创建机器人 POST
        getBotadvancedSetting: '/api/bot/advanced-settings', // 获取机器人高级设置 GET
    },
    skill: { // 知识库
        getSkillList: '/api/skill', // 机器人知识库列表 GET
        createSkill: '/api/skill', // 创建知识库 POST
    },
    intentQuestion: { // 意图问法
        addIntentQ: '/api/intent-question', // 添加单个问法 POST
        deleteIntentQ: '/api/intent-question', // 删除问法 DELETE
        batchuploadIntentQ: '/api/intent-question/batch', // 批量导入问题 POST
        batchuploadIntentQProcess: '/api/intent-question/batch/progress', // 请求文件上传进度
        getIntentQList: '/api/intent-question/list', // 问法列表 GET
        downloadIntentQTemp: '/api/intent-question/template', // 下载问题导入模板
        changeQuestionIntent: '/api/intent-question/change-question-intent', // 更改问题所属意图 POST
    },
    intentKeywordRule: { // 意图规则关键词
        addIntentKR: '/api/intent-keyword-rule', // 新增意图规则 POST
        getIntentKRList: '/api/intent-keyword-rule/list', // 获取意图规则列表 GET
        updateIntentKR: '/api/intent-keyword-rule', // 更新意图规则列表 PUT
        deleteIntentKR: '/api/intent-keyword-rule', // 删除意图规则 DELETE
    },
    intent: { // 意图相关
        // 意图分类
        getIntentTypeList: '/api/intent/types', // 获取意图分类列表 GET
        addIntentType: '/api/intent/types', // 新增or更新意图分类 POST
        updateIntentType: '/api/intent/type', // 更新意图分类 PUT
        deleteIntentType: '/api/intent/type', // 删除意图分类 DELETE
        // 单个意图操作
        getIntentList: '/api/intent/list', // 获取意图列表 GET
        getIntentTree: '/api/intent/tree', // 获取意图树状结构 GET
        addIntent: '/api/intent', // 新增意图 POST
        updateIntent: '/api/intent', // 更新意图 PUT
        deleteIntent: '/api/intent', // 删除意图 DELETE
    },
    intentAnswer: { // 意图答案
        addIntentAnswer: '/api/intent-answer', // 新增答案 POST
        updateIntentAnswer: '/api/intent-answer', // 更新答案 PUT
        deleteIntentAnswer: '/api/intent-answer', // 删除答案 DELETE
    },
    entity: { // 实体
        getEntityList: '/api/v1/entity', // 获取实体列表 GET
        addEntity: '/api/v1/entity', // 添加实体 POST
        updateEntity: '/api/v1/entity', // 更新实体 PUT
        deleteEntity: '/api/v1/entity', // 删除实体 DELETE
        getEntitySkills: '/api/v1/entity/skills', // 获取技能列表及所属的实体数量  GET
        getAllEntityBySkill: '/api/v1/entity/all', //  获取指定知识库下所有实体 GET
        getEntityTree: '/api/v1/entity/tree', //获取实体结构树
    },
    dialog: {
        test: '/api/v1/dialog/test', // 测试窗问题
        test_v2: '/api/v2/dialog/test', // 测试窗问题
    },
    trainList: {
        intentTree: '/api/intent/tree', // 意图树 GET
        search: '/api/intent/tag/search', // 查询待标注问题 GET
        skill: '/api/skill', // 机器人知识库列表 GET
        intentList: '/api/intent/list', // 关键字分类查询意图GET
        intentTypes: '/api/intent/types', // 查询分类 GET
        mark: '/api/intent/tag/mark', // 标注意图POST
        markBatch: '/api/intent/tag/mark-batch', // 批量标注意图POST
        trainList: '/api/record/train/search', // 训练记录 GET
        trainDetails: '/api/record/train/get', // 训练记录详情GET
        trainTag: '/api/intent/tag/train', // 训练机器人 POST
        removeTag: '/api/record/train/remove', // 移除标注记录 POST
        trainStatus: '/api/record/train/get-latest/', // 机器人训练状态 GET
        noteCount: '/api/intent/tag/count/', // 获取标注数量 GET
        skillIntent: '/api/intent/list/skill-intent', // 搜索意图 GET
    },
    chatFlowComponent: { // 对话流程组件
        getComponentsTypes: '/api/v1/dialog/design/component', // 获取流程组件类型列表 GET
        getConditionList: '/api/v1/dialog/design/component/condition', // 获取条件列表 GET
        getContitionScopeList: '/api/v1/dialog/design/component/condition/scope', // 获取条件作用于列表 GET
    },
    chatFlowNode: { // 对话流程组件
        getIntentChatFlow: '/api/v1/dialog/process', // 获取指定意图流程 GET
        getStertChatFlow: '/api/v1/dialog/process/start_node', // 获取开始节点流程 GET
        getEndChatFlow: '/api/v1/dialog/process/end_node', // 获取结束节点流程 GET
        addNode: '/api/v1/dialog/process/node', // 添加节点 POST
        deleteNode: '/api/v1/dialog/process/node', // 删除节点 DELETE
        updateNode: '/api/v1/dialog/process/node/action', // 更新节点 PUT
        updateNodeName: '/api/v1/dialog/process/node/name', // 更新节点名称 PUT
        ipdateStartNodeNew: '/api/bot/start_node', // 更新保存开始节点
        ipdateEndNodeNew: '/api/bot/end_node', // 更新保存开始节点
        moveNode: '/api/v1/dialog/process/node/move', // 移动节点
    },
    eWechatBind :{//企业微信接入组件
        getAuthUrl: '/api/bind/ewechat/get/auth-url',//获取授权URL
        getAuthDomain: '/api/bind/ewechat/get/domain',//获取授权域
        getBindList: '/api/bind/ewechat/list',//绑定应用列表
        postUnbind: '/api/bind/ewechat/unbind',//解绑应用
        //'/api/bind/ewechat/detail/{bindId}'/api//查看绑定详细信息
    },
    wechatBind :{//企业微信接入组件
        getAuthUrl: '/api/bind/wechat/get/auth-url',//获取授权URL GET
        getBindList: '/api/bind/wechat/list',//绑定应用列表GET
        unbind: '/api/bind/wechat/unbind',//解绑应用POST
        detail: '/api/bind/wechat/detail/{bindId}', //查看绑定详细信息 GET

    },
    miniProgramBind: { // 小程序接入
        wxMiniCode: '/api/wx/mini/acode', // 获取小程序码
    },
    websiteBind: { // 网站接入
        getBindWebsiteList: '/api/bot/web/access/list', // 获取绑定网站列表GET
        addWebsiteBind: '/api/bot/web/access', //新增网站接入信息POST
        deleteWebsiteBind: '/api/bot/web/access', //删除网站接入信息DELETE
    },
    messageController :{//聊天记录组件
        getChatbotMessageList: '/api/message/dialog/',//获取机器人聊天列表GET
        getUserDialog: '/api/message/history/',//获取聊天记录GET
        getUserInformation: '/api/message/userInfo/',//获取用户信息GET

    },
    superIntent :{//超级意图模板
        updateSuperIntentSwitch: '/api/template/intent/enable',//开启关闭超级意图模板功能PUT
        getIntentMatchTemplate: '/api/template/intent/get/',//获取意图对应的模板GET
        updateIntentMatchTemplate: '/api/template/intent/save',//保存意图对应的模板POST
        getSuperIntentList: '/api/template/list',//获取超级意图列表GET

    },
    statistics :{//统计分析
        getStatisticsData: '/api/statistics/data',//获取统计数据GET
        getChannelList: '/api/statistics/source',//获取接入渠道GET

    },
    accountManage :{//成员管理
        getAccountList: '/api/member/list',//获取成员列表GET
        account: '/api/member',//成员管理
        deleteAccount: '', // 删除账号
        updateAccount: '/api/member', // 更新账号

    },
    role :{//角色管理
        getRoleList: '/api/role',//获取角色列表GET

    },
    accountGroup :{//用户分组管理
        getAccountGroupList: '/api/user/group',//获取用户分组列表GET
        addAccountGroup: '/api/user/group',//新增用户组POST
        updateAccountGroup: '/api/user/group',//更新用户分组PUT
        deleteAccountGroup: '/api/user/group',//删除用户分组DELETE

    },
    relatedQuestion :{//关联问法推荐
        getRelatedQuestionList: '/api/rq/list',//获取用户分组列表GET
        addOneRelatedQuestion: '/api/rq/add',//添加一个关联问法POST
        addAllRelatedQuestion: '/api/rq/add-all',//添加全部关联问法POST
        ignoreOneRelatedQuestion: '/api/rq/ignore',//忽略一个关联问法POST
        ignoreAllRelatedQuestion: '/api/rq/ignore-all',//忽略全部关联问法POST

    },
    webhook :{
        getWebhookDir : '/api/webhook/dir/list', //获取Webhook目录列表GET
        addDir : '/api/webhook/dir' ,//新增目录POST
        deleteDir: '/api/webhook/dir', //删除目录DELETE
        deleteWebhook: '/api/webhook', //删除Webhook DELETE
        webhookDetail: '/api/webhook/', //查询api详情 GET
        webhookAdd: '/api/webhook', //新增修改webhook POST
        webhookSend: '/api/webhook/send', //发送webhook请求 POST
        webhookCopy: '/api/webhook/copy', //拷贝webhook POST
        webhookRelease: '/api/webhook', //发布webhook PUT
        uploadFile: '/api/oss', //上传文件 POST
        webhookNameCheck: '/api/webhook/check/name', //webhook名称重复校验 GET
        webhookbaseList: 'api/webhook/base-list', // webhook列表（组件配置使用）
    }
    
}

export { requestUrl };
