export function isMobile() {
    let bool = false
    let flag = navigator.userAgent.match(
        /(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i
    );
    if (flag) {
        bool = true
    } else {
        bool = false
    }
    return bool
}

let imageTypeObj = {
    PDF: 'pdf1',
    pdf: 'pdf1',
    TXT: 'txt1',
    txt: 'txt1',
    selfadd: 'selfadd1',
    md: "md2",
    html: 'selfadd1',
    mode: "mode",
    general: 'general',
    word: "word1",
    Word: "word1",
    docx: "word1",
    doc: "word1",
    docm: "word1",
    dotm: "word1",
    dotx: "word1",
    wpt: "word1",
    wps: "word1",
    WORD: "word1",
    Excel: 'excel1',
    EXCEL: 'excel1',
    excel: 'excel1',
    PPT: 'ppt1',
    ppt: 'ppt1',
    pptx: 'ppt1',
    img: "image1",
    image: "image1",
    video: "video",
    audio: 'audio',
    link: "link",
    wechat: "wechat",
    mp4: "video",
    MP4: "video",
    xlsx: "excel1",
    xls: "excel1",
    csv: "excel1",
    jpg: "image1",
    JPG: "image1",
    jpeg: "image1",
    JPEG: "image1",
    png: "image1",
    PNG: "image1",
    webp: "image1",
    WEBP: "image1",
    gif: "image1",
    GIF: "image1",
    svg: "image1",
    bmp: "image1",
    avi: "video",
    mov: "video",
    rmvb: "video",
    wav: "audio",
    mp3: "audio",
    MOV: "video",
    AIV: "video",
    aiv: "video",
    news:"news"
}
function newInitWaterMark(elId, textValue) {
    //默认设置
    var defaultSettings = {

        watermark_txt: "",

        visitorWatermark_txt: "",

        watermark_x: 0, //水印起始位置x轴坐标

        watermark_y: 0, //水印起始位置Y轴坐标

        watermark_rows: 0, //水印行数

        watermark_cols: 0, //水印列数

        watermark_x_space: 40, //水印x轴间隔

        watermark_y_space: 60, //水印y轴间隔

        watermark_color: "black", //水印字体颜色

        watermark_alpha: 0.3, //水印透明度

        watermark_fontsize: "12px", //水印字体大小

        watermark_font: "微软雅黑", //水印字体

        watermark_width: 100, //水印宽度

        watermark_height: 60, //水印长度

        watermark_angle: 20 //水印倾斜度数

    };
    let textWatermarkValue = textValue;
    if (textWatermarkValue) {
        defaultSettings.watermark_txt = textWatermarkValue;
    }
    if (!textWatermarkValue) {
        return;
    }

    //采用配置项替换默认值，作用类似jquery.extend

    if (arguments.length === 1 && typeof arguments[0] === "object") {

        // 获取参数配置

        var src = arguments[0];

        for (let key in src) {

            if (src[key] && defaultSettings[key] && src[key] === defaultSettings[key])

                continue;

            else if (src[key])

                defaultSettings[key] = src[key];

        }

    }

    var oTemp = document.createDocumentFragment();

    //获取页面最大宽度

    var page_width = Math.max(document.getElementById(elId).scrollWidth, document.getElementById(elId).clientWidth);

    var cutWidth = page_width * 0.0150;

    page_width = page_width - cutWidth;

    //获取页面最大高度
    var page_height = document.getElementById(elId).scrollHeight;
    console.log('page_height',page_height, page_width);

    // var page_height = Math.max(document.body.scrollHeight, document.body.clientHeight);

    // var page_height = document.body.scrollHeight+document.body.scrollTop;

    //如果将水印列数设置为0，或水印列数设置过大，超过页面最大宽度，则重新计算水印列数和水印x轴间隔

    if (defaultSettings.watermark_cols == 0 || (parseInt(defaultSettings.watermark_x + defaultSettings

        .watermark_width * defaultSettings.watermark_cols + defaultSettings.watermark_x_space * (

        defaultSettings.watermark_cols - 1)) > page_width)) {

        defaultSettings.watermark_cols = parseInt((page_width - defaultSettings.watermark_x + defaultSettings

            .watermark_x_space) / (defaultSettings.watermark_width + defaultSettings

            .watermark_x_space));

        defaultSettings.watermark_x_space = parseInt((page_width - defaultSettings.watermark_x -

            defaultSettings

                .watermark_width * defaultSettings.watermark_cols) / (defaultSettings.watermark_cols - 1));

    }

    //如果将水印行数设置为0，或水印行数设置过大，超过页面最大长度，则重新计算水印行数和水印y轴间隔

    if (defaultSettings.watermark_rows == 0 || (parseInt(defaultSettings.watermark_y + defaultSettings

        .watermark_height * defaultSettings.watermark_rows + defaultSettings.watermark_y_space * (

        defaultSettings.watermark_rows - 1)) > page_height)) {

        defaultSettings.watermark_rows = parseInt((defaultSettings.watermark_y_space + page_height -

            defaultSettings

                .watermark_y) / (defaultSettings.watermark_height + defaultSettings.watermark_y_space));

        defaultSettings.watermark_y_space = parseInt(((page_height - defaultSettings.watermark_y) -

            defaultSettings

                .watermark_height * defaultSettings.watermark_rows) / (defaultSettings.watermark_rows - 1));

    }

    var x;
    var y;
    for (var i = 0; i < defaultSettings.watermark_rows; i++) {
        y = defaultSettings.watermark_y + (defaultSettings.watermark_y_space + defaultSettings.watermark_height) * i;
        for (var j = 0; j < defaultSettings.watermark_cols; j++) {
            x = defaultSettings.watermark_x + (defaultSettings.watermark_width + defaultSettings.watermark_x_space) * j;
            var mask_div = document.createElement("div");

            mask_div.id = "mask_div" + i + j;
            mask_div.className = "mask_div";
            mask_div.style.webkitTransform = "rotate(-" + defaultSettings.watermark_angle + "deg)";
            mask_div.style.MozTransform = "rotate(-" + defaultSettings.watermark_angle + "deg)";
            mask_div.style.msTransform = "rotate(-" + defaultSettings.watermark_angle + "deg)";
            mask_div.style.OTransform = "rotate(-" + defaultSettings.watermark_angle + "deg)";
            mask_div.style.transform = "rotate(-" + defaultSettings.watermark_angle + "deg)";
            mask_div.style.visibility = "";
            mask_div.style.position = "absolute";
            //奇偶行错开，这样水印就不对齐，显的不呆板
            mask_div.style.left = x + 20 + "px";
            mask_div.appendChild(document.createTextNode(defaultSettings.watermark_txt));

            mask_div.style.top = y + 10 + "px";

            mask_div.style.overflow = "hidden";

            mask_div.style.pointerEvents = "none"; //让水印不遮挡页面的点击事件

            mask_div.style.opacity = defaultSettings.watermark_alpha;

            mask_div.style.fontSize = defaultSettings.watermark_fontsize;

            mask_div.style.fontFamily = defaultSettings.watermark_font;

            mask_div.style.color = defaultSettings.watermark_color;

            mask_div.style.textAlign = "center";

            mask_div.style.width = defaultSettings.watermark_width + "px";

            mask_div.style.height = defaultSettings.watermark_width + "px";

            mask_div.style.display = "block";

            mask_div.style.wordBreak = 'break-all'

            oTemp.appendChild(mask_div);
        }
    }
    document.getElementById(elId).appendChild(oTemp);
}
export {
    imageTypeObj,
    newInitWaterMark
}