//定义缩放方法，接收一个element参数：使用export暴露该方法
export function zoomElement (el) {
	let store = {
		scale: 1
	};
	// 缩放事件的处理
	el.addEventListener('touchstart', function (event) {
		let touches = event.touches;
		let events = touches[0];
		let events2 = touches[1];
		// event.preventDefault();
		// 第一个触摸点的坐标
		store.pageX = events.pageX;
		store.pageY = events.pageY;

		store.moveable = true;

		if (events2) {
			store.pageX2 = events2.pageX;
			store.pageY2 = events2.pageY;
		}
		store.originScale = store.scale || 1;
	});
	document.addEventListener('touchmove', function (event) {
		if (!store.moveable) {
			return;
		}

		// event.preventDefault();

		let touches = event.touches;
		let events = touches[0];
		let events2 = touches[1];
		// 双指移动
		if (events2) {
			// 第2个指头坐标在touchmove时候获取
			if (!store.pageX2) {
				store.pageX2 = events2.pageX;
			}
			if (!store.pageY2) {
				store.pageY2 = events2.pageY;
			}

			// 获取坐标之间的举例
			let getDistance = function (start, stop) {
				return Math.hypot(stop.x - start.x, stop.y - start.y);
			};
			// 双指缩放比例计算
			let zoom = getDistance({
				x: events.pageX,
				y: events.pageY
			}, {
				x: events2.pageX,
				y: events2.pageY
			}) /
				getDistance({
					x: store.pageX,
					y: store.pageY
				}, {
					x: store.pageX2,
					y: store.pageY2
				});
			// 应用在元素上的缩放比例
			let newScale = store.originScale * zoom;
			// 最大缩放比例限制
			if (newScale > 3) {
				newScale = 3;
			}
			// 最小缩放比例限制
			if(newScale < 1) {
				newScale = 1;
			}
			// 记住使用的缩放值
			store.scale = newScale;
			// 图像应用缩放效果
			el.style.transform = 'scale(' + newScale + ')';
		}
	});
	document.addEventListener('touchend', function () {
		store.moveable = false;
		delete store.pageX2;
		delete store.pageY2;
	});
	document.addEventListener('touchcancel', function () {
		store.moveable = false;
		delete store.pageX2;
		delete store.pageY2;
	});

}